Package jakarta.websocket

## Interface Encoder.Text<T>

- All Superinterfaces:
    `Encoder`
  Enclosing interface:
    Encoder

      public static interface Encoder.Text<T>
      extends Encoder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface jakarta.websocket.Encoder

      `Encoder.Binary<T>, Encoder.BinaryStream<T>, Encoder.Text<T>, Encoder.TextStream<T>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `encode​(T object)` |

    - ### Methods inherited from interface jakarta.websocket.Encoder

      `destroy, init`

- - ### Method Detail

    - #### encode

          java.lang.String encode​(T object)
                           throws EncodeException

      Throws:
        `EncodeException`